3v4l.org

run code in 150+ php & hhvm versions
Bugs & Features
<?php function my_function($param1, $param2) { // do something great } try { my_function('only_one_param'); } catch (AppException $exception) { } /* throw new MyException('This is a really bad error', 123); final public ExceptionException::getPrevious ( void ) error_reporting(E_ALL); function exception_error_handler($errno, $errstr, $errfile, $errline ) { throw new ErrorException($errstr, '00007600', $errno, $errfile, $errline, new Exception('jjj')); } set_error_handler("exception_error_handler"); try { echo $x; } catch(Exception $e) { var_dump($e->getPrevious()); }*/
Output for 7.1.0
Fatal error: Uncaught ArgumentCountError: Too few arguments to function my_function(), 1 passed in /in/iVLVL on line 10 and exactly 2 expected in /in/iVLVL:3 Stack trace: #0 /in/iVLVL(10): my_function('only_one_param') #1 {main} thrown in /in/iVLVL on line 3
Process exited with code 255.
Output for 5.1.0 - 7.0.14
Warning: Missing argument 2 for my_function(), called in /in/iVLVL on line 10 and defined in /in/iVLVL on line 3
Output for 5.0.0 - 5.0.5
Warning: Missing argument 2 for my_function() in /in/iVLVL on line 3 Fatal error: Class 'AppException' not found in /in/iVLVL on line 12
Process exited with code 255.
Output for 4.4.2 - 4.4.9
Parse error: syntax error, unexpected '{' in /in/iVLVL on line 9
Process exited with code 255.
Output for 4.3.0 - 4.3.1, 4.3.5 - 4.4.1
Parse error: parse error, unexpected '{' in /in/iVLVL on line 9
Process exited with code 255.
Output for 4.3.2 - 4.3.4
Parse error: parse error in /in/iVLVL on line 9
Process exited with code 255.